# All-in-one Project Summary

## Line-by-line Instructions

### What business problem does this project address?

Use 2-4 sentences to describe the problem that your potential users are having right now. Focus on business problems, not technical problems. If you are trying to solve a technical problem, describe the business need that makes that technical problem important enough to solve. Do not say anything about your solution here.

### What is the goal of this project?

Write 2-4 sentences or bullets on your main goal for the project. Briefly, name your target audience and mention key benefits that your customers will gain by using your product.

### What is the scope of this project?

Give 2-4 sentences or bullets that summarize what you intend to do as part of this project. A good scope paragraph helps you avoid feature creep later.

### Status

Briefly indicate what the team has recently accomplished and what they will do next. Write the details in the status reports, not here.

Customization: If you do not want to use status report documents, you can select some parts of the status report template and paste them here in the "Status" section of the all-in-one template.

### What are the deadlines for this project?

List key deadlines. Consider using dates relative to project kickoff so that your commitments can be kept, even if the start of the project is delayed.

### Who is working on this project?

List the team members working on this project. Include the percentage of time that each person will work on this project.

### What capital resources are allocated to this project?

List the capital resources that will be used by this project. Capital resources are hardware, software, and other materials that must be purchased or allocated before they can be used.

### What are the main legal concerns for this project?

Briefly address basic legal concerns. See the checklist in the "legal" template to help identify other relevant legal issues.

### Who are the project stakeholders?

Project stakeholders are people who care deeply about the success of the project and want it to succeed. Losing the support of key stakeholders could cancel the project. Identifying stakeholders is the first step toward aligning their interests, expectations, and evaluations of the project.

### What user needs have you gathered?

Link to another document with user stories or interview notes.

Customization: If you choose not to maintain separate documents for user stories and interview notes, select key parts from the user-needs and interview-notes templates and paste them here.

### What are the requirements specifications?

Link to one or more documents with details of your software requirements specification. Or, use the more detailed sections below this question to link to individual use cases, feature descriptions, and details of other requirements.

### What are your ranked design goals?

Think about the importance of each of the sample design goals to your project. Add, delete, or edit them to fit your project. Order them from most important to least important. Explicitly setting the design goals will help you in making and evaluating design decisions.

### Where are your design documents?

Link to UML design documents or other design documents. Consider the detailed design document templates for more information about the content of design documents.

### What are your ranked quality goals?

Think about the importance of each of the sample quality goals to your project. Add, delete, or edit them to fit your project. Order them from most important to
least important. Explicitly setting the quality goals will help you in making and evaluating QA decisions.

### What QA activities will you use?

List the QA activities that you will use on this project. Choose QA activities based on their relevance to your quality goals. See the qa-plan template and standard glossary for more information on QA activities.

### Where are the test cases?

Link to your test cases.

### Where is the release checklist or sign-off document?

Every release requires a final checklist or sign-off to be sure that each project stakeholder is satisfied with the release. Link to that document here.

### How is the product packaged and deployed?

Write a few sentences on how you expect this product to be packaged and deployed to users. Link to the project release notes.

### How is the product installed?

Briefly outline the installation process. Write these steps in enough detail that one of your target customers could actually install the product.

### Where is the user documentation?

Link to the user guide and user FAQ. See the userguide and FAQ templates for help with these documents.

### How can users get technical support or report problems?

List the email addresses or phone numbers that users will use for technical support. Also, briefly describe the way that customers can report problems, e.g., an on-line defect reporting tool or a simple email address.

### Glossary

Define any project-specific technical terms in enough detail that a new team member could understand them.
