# Implementation Notes

## Line-by-line Instructions

### Type of Implementation

This prompt asks you to briefly describe the most general information about the implementation of the system. The point of writing this information is so that an operations engineer who needs to investigate a problem in a running system can quickly decide whether the problem is likely to be serviceable or not. The information in this section may also be useful to another developer who is considering reusing this software as part of another product.

### Runtime Environment

List the processes, config files, databases, data files, temporary files, and log files that are involved in normal system operation. This information is useful to operations engineers who need to quickly decide whether some observed system behavior is normal or not normal. It is also likely to be useful to other developers who may reuse this software.

### Implementation of Specific Features

Write brief descriptions of any surprizing or critical feature implementations. These are not descriptions of how to use the feature or why it is in the product, rather they should describe how the feature works. As with the sections above, this information can help an operations engineer understand the behavior of the system or help another developer during reuse.

### Operational Procedures

These are step by step instructions for common tasks that the operations engineers may need to do.

### Security

List things that the operations engineers should do to keep the system secure.

### Performance and Scalability

List things that the operations engineers should do to keep the operating up to its full capacity.
